// deployer NginxModule header
// Copyright (C) 2024 Jean-Cloud
// GNU General Public License v3

#if !defined(NGINXMODULE_H)
#define NGINXMODULE_H

#include "Module.h"

class NginxModule : public Module
{
    public:
    NginxModule();//inline
    ~NginxModule(){} //inline
    int Prepare ();
    int Deploy (string serviceUsername);
    int Remove(string serviceUsername);
    int Clean ();
    private:
    int removeContainersCreatedByDockerCompose();
    int removeContainersWithServiceName (string serviceUsename);
};
#endif